org.apache.kylin.jdbc

## Class KylinStatement

- java.lang.Object
- - org.apache.calcite.avatica.AvaticaStatement
  - - org.apache.kylin.jdbc.KylinStatement

All Implemented Interfaces:
  AutoCloseable, Statement, Wrapper

    public class KylinStatement
    extends org.apache.calcite.avatica.AvaticaStatement

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.AvaticaStatement

`closed, closeOnCompletion, connection, DEFAULT_FETCH_SIZE, handle, maxRowCount, openResultSet, updateCount`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
`protected` `KylinStatement(org.apache.calcite.avatica.AvaticaConnection connection, org.apache.calcite.avatica.Meta.StatementHandle h, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`

### Method Summary

### Methods inherited from class org.apache.calcite.avatica.AvaticaStatement

`addBatch, cancel, clearBatch, clearWarnings, close_, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeBatchInternal, executeInternal, executeInternal, executeLargeBatch, executeLargeUpdate, executeQuery, executeQueryInternal, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getBoundParameterValues, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getId, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getParameterValues, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSignature, getStatementType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, resetStatement, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, setSignature, syncResults, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinStatement

    protected KylinStatement(org.apache.calcite.avatica.AvaticaConnection connection,
                  org.apache.calcite.avatica.Meta.StatementHandle h,
                  int resultSetType,
                  int resultSetConcurrency,
                  int resultSetHoldability)